Skip to Content
SeyloDocs

Get usage of one node

GET
/api/v1/metrics.node

Returns one node's CPU, memory, disk and network series over a range and its latest sample.

Needs nodes.view, which owners and admins hold. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

nodeId*string

Panel-issued id.

Match^[a-z0-9]{16}$
range?||||
Default"1h"

Response Body

Success.

application/json
  1. response
range*string|string|string|string|string
stepSeconds*integer
Range1 <= value
series*
Example Request
curl -X GET 'https://example.com/api/v1/metrics.node?nodeId=string'
Example Response
{  "range": "live",  "stepSeconds": 1,  "series": {    "nodeId": "string",    "name": "string",    "online": true,    "latest": {      "at": "2019-08-24T14:15:22Z",      "cpuPercent": 0,      "memoryUsedBytes": 0,      "memoryTotalBytes": 0,      "diskUsedBytes": 0,      "diskTotalBytes": 0,      "networkRxBytesPerSec": 0,      "networkTxBytesPerSec": 0,      "load1": 0    },    "points": [      {        "t": 0,        "cpuPercent": 0,        "memoryUsedBytes": 0,        "memoryTotalBytes": 0,        "diskUsedBytes": 0,        "networkRxBytesPerSec": 0,        "networkTxBytesPerSec": 0      }    ]  }}